PULLFIRST[THE RECORD]

Get search suggestions (autocomplete)

GET
/v1/licenses/suggest

Returns contractor names matching the query prefix for autocomplete. Fast and lightweight - returns only name, license number, and type. Respects license type filter if provided.

Query Parameters

q?string

Search query (minimum 2 characters)

Length0 <= length <= 200
limit?integer

Max results (default 5, max 10)

Default5
Match^-?(?:0|[1-9]\d*)$
Formatint32
Range1 <= value <= 10
licenseType?string

Filter by license type name (optional)

Length0 <= length <= 200
enrichedOnly?boolean
Defaultfalse

Response Body

application/json

curl -X GET "https://loading/api/docs-proxy/v1/licenses/suggest"
[
  {
    "licenseNumber": "string",
    "name": "string",
    "dbaName": "string",
    "licenseType": "string"
  }
]